Bug 139819 - hald segfaults on x86_64 during startup
hald segfaults on x86_64 during startup
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
3
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-18 04:00 EST by Srihari Vijayaraghavan
Modified: 2013-03-05 22:42 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.4.2-1.FC3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-09 12:29:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/usr/sbin/hald --daemon=no --verbose=yes >2&> hald_verbose (6.85 KB, application/octet-stream)
2004-11-18 15:09 EST, Srihari Vijayaraghavan
no flags Details

  None (edit)
Description Srihari Vijayaraghavan 2004-11-18 04:00:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; rv:1.7.3)
Gecko/20041020 Firefox/0.10.1

Description of problem:
hald[2619]: segfault at 000000118dc51a18 rip 0000002a960cae10 rsp
0000007fbfffe4a0 error 4

Version-Release number of selected component (if applicable):
hal-0.4.0-10

How reproducible:
Always

Steps to Reproduce:
1. Boot the system
2. Read the kernel logs (dmesg)
3. You would see the segfault message
4. Segfaults even if you try to start it (/usr/sbin/hald) manually


Actual Results:  Segfaults

Expected Results:  May not segfault

Additional info:

I did a strace, and here is a copy of final 10 lines leading up to the
segfault:
##### Starts Here #####
read(3, "# This file controls the state o"..., 4096) = 448
close(3)                                = 0
munmap(0x2a9556c000, 4096)              = 0
open("/proc/mounts", O_RDONLY)          = 3
fstat(3, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1,
0) = 0x2a9556c000
read(3, "rootfs / rootfs rw 0 0\n/proc /pr"..., 1024) = 411
close(3)                                = 0
munmap(0x2a9556c000, 4096)              = 0
pipe([3, 4])                            = 0
chdir("/")                              = 0
clone(child_stack=0,
flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
child_tidptr=0x2a963abd90) = 3617
exit_group(0, 0, 0x2a960c7d60, 0x1, 0x3c <unfinished ... exit status 0>
##### Ends Here #####

On request, I can provide the entire log.

Thank you.
Hari.
Comment 1 David Zeuthen 2004-11-18 11:02:30 EST
Hi,

thanks for the bug report. Please attach the output of 'hald
--daemon=no --verbose=yes' - that will make it easier to track down
this bug. 

Thanks,
David
Comment 2 Srihari Vijayaraghavan 2004-11-18 15:09:58 EST
Created attachment 106984 [details]
/usr/sbin/hald --daemon=no --verbose=yes >2&> hald_verbose
Comment 3 Srihari Vijayaraghavan 2004-11-18 15:10:28 EST
Please refer to the attachment hald_verbose.bz2.

Just after the final line in the output, it just segfaults with this
message:
hald[7287]: segfault at 00000001384bfc10 rip 000000368e4685ef rsp
0000007fbfffd960 error 6

Thank you.
Hari.
Comment 4 David Zeuthen 2004-11-18 15:41:30 EST
Hi,

I've fixed that in bug 139227; please see if the fix applies to you as
well. Downloads RPMs from

 http://people.redhat.com/davidz/hal-testing/

You may need to build it yourself for x86_64. These RPMS will appear
in hal 0.4.2 as a FC3 update next week.

Thanks,
David
Comment 5 Srihari Vijayaraghavan 2004-11-18 16:51:13 EST
Thanks David. The
http://people.redhat.com/davidz/hal-testing/hal-0.4.1.snapshot20041116-1.src.rpm
fixes the problem.

Well, I do not know if it is working fine, but at least it does not
segfault :).

Any idea how to verify if it really works?

Thank you.
Hari.
PS: I will be glad to provide the x86_64 rpm that I built.
Comment 6 David Zeuthen 2004-12-09 12:29:34 EST
Closing this bug as the fix is now in fc3 updates.

Note You need to log in before you can comment on or make changes to this bug.